axiethernet: XAxiEthernet Struct Reference

| axiethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAxiEthernet Struct Reference
Axiethernet_v5_8

struct XAxiEthernet is the type for Axi Ethernet driver instance data. More...

## Data Fields
XAxiEthernet_Config | Config
| Hardware configuration. More...
u32 | IsStarted
| Device is currently started. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | Options
| Current options word. More...
u32 | Flags
| Internal driver flags. More...

## Detailed Description

struct XAxiEthernet is the type for Axi Ethernet driver instance data.

The calling code is required to use a unique instance of this structure for every Axi Ethernet device used in the system. A reference to a structure of this type is then passed to the driver API functions.

## Field Documentation

XAxiEthernet_Config XAxiEthernet::Config

Hardware configuration.

Referenced by AxiEthernetSgDmaIntrExample(), AxiEthernetSgDmaPollExample(), XAxiEthernet_AddExtMulticastGroup(), XAxiEthernet_CfgInitialize(), XAxiEthernet_ClearBadFrmRcvOption(), XAxiEthernet_ClearExtMulticastGroup(), XAxiEthernet_ClearOptions(), XAxiEthernet_ClearTpid(), XAxiEthernet_DisableControlFrameLenCheck(), XAxiEthernet_DumpExtMulticastGroup(), XAxiEthernet_EnableControlFrameLenCheck(), XAxiEthernet_GetExtMulticastGroup(), XAxiEthernet_GetMacAddress(), XAxiEthernet_GetMacPauseAddress(), XAxiEthernet_GetOperatingSpeed(), XAxiEthernet_GetRgmiiStatus(), XAxiEthernet_GetSgmiiStatus(), XAxiEthernet_GetTpid(), XAxiEthernet_GetVidTable(), XAxiEthernet_GetVStripMode(), XAxiEthernet_GetVTagMode(), XAxiEthernet_GetVTagValue(), XAxiEthernet_Initialize(), XAxiEthernet_MulticastAdd(), XAxiEthernet_MulticastClear(), XAxiEthernet_MulticastGet(), XAxiEthernet_PhySetMdioDivisor(), XAxiEthernet_Reset(), XAxiEthernet_SendPausePacket(), XAxiEthernet_SetBadFrmRcvOption(), XAxiEthernet_SetMacAddress(), XAxiEthernet_SetMacPauseAddress(), XAxiEthernet_SetOperatingSpeed(), XAxiEthernet_SetOptions(), XAxiEthernet_SetTpid(), XAxiEthernet_SetVidTable(), XAxiEthernet_SetVStripMode(), XAxiEthernet_SetVTagMode(), XAxiEthernet_SetVTagValue(), XAxiEthernet_Start(), and XAxiEthernet_Stop().

u32 XAxiEthernet::Flags

Internal driver flags.

u32 XAxiEthernet::IsReady

Device is initialized and ready.

Referenced by XAxiEthernet_AddExtMulticastGroup(), XAxiEthernet_CfgInitialize(), XAxiEthernet_ClearExtMulticastGroup(), XAxiEthernet_ClearOptions(), XAxiEthernet_ClearTpid(), XAxiEthernet_GetExtMulticastGroup(), XAxiEthernet_GetMacAddress(), XAxiEthernet_GetMacPauseAddress(), XAxiEthernet_GetOperatingSpeed(), XAxiEthernet_GetOptions(), XAxiEthernet_GetRgmiiStatus(), XAxiEthernet_GetSgmiiStatus(), XAxiEthernet_GetTpid(), XAxiEthernet_GetVidTable(), XAxiEthernet_GetVStripMode(), XAxiEthernet_GetVTagMode(), XAxiEthernet_GetVTagValue(), XAxiEthernet_Initialize(), XAxiEthernet_MulticastAdd(), XAxiEthernet_MulticastClear(), XAxiEthernet_MulticastGet(), XAxiEthernet_PhySetMdioDivisor(), XAxiEthernet_Reset(), XAxiEthernet_SendPausePacket(), XAxiEthernet_SetMacAddress(), XAxiEthernet_SetMacPauseAddress(), XAxiEthernet_SetOperatingSpeed(), XAxiEthernet_SetOptions(), XAxiEthernet_SetTpid(), XAxiEthernet_SetVidTable(), XAxiEthernet_SetVStripMode(), XAxiEthernet_SetVTagMode(), XAxiEthernet_SetVTagValue(), XAxiEthernet_Start(), and XAxiEthernet_Stop().

u32 XAxiEthernet::IsStarted

Device is currently started.

Referenced by XAxiEthernet_AddExtMulticastGroup(), XAxiEthernet_ClearExtMulticastGroup(), XAxiEthernet_ClearOptions(), XAxiEthernet_ClearTpid(), XAxiEthernet_MulticastAdd(), XAxiEthernet_MulticastClear(), XAxiEthernet_SendPausePacket(), XAxiEthernet_SetMacAddress(), XAxiEthernet_SetMacPauseAddress(), XAxiEthernet_SetOptions(), XAxiEthernet_SetTpid(), XAxiEthernet_SetVidTable(), XAxiEthernet_SetVStripMode(), XAxiEthernet_SetVTagMode(), XAxiEthernet_SetVTagValue(), XAxiEthernet_Start(), and XAxiEthernet_Stop().

u32 XAxiEthernet::Options

Current options word.

Referenced by AxiEthernetSgDmaIntrExtMulticastExample(), XAxiEthernet_ClearOptions(), XAxiEthernet_GetOptions(), XAxiEthernet_Reset(), XAxiEthernet_SetOptions(), and XAxiEthernet_Start().